\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-7.5,0.5) rectangle (-1,5);
\fill[line width=1.5pt,color=B2,fill=B2,fill opacity=1] (-7,4) -- (-2,4) -- (-2,1) -- (-7,1) -- cycle;
\draw[line width=1.5pt] (-3.4242640687119286,4) -- (-3.4242640687119286,3.5757359312880714) -- (-3,3.5757359312880714) -- (-3,4) -- cycle; 
\draw[line width=1.5pt] (-2.4242640687119286,4) -- (-2.4242640687119286,3.5757359312880714) -- (-2,3.5757359312880714) -- (-2,4) -- cycle; 
\draw[line width=1.5pt] (-2,1.4242640687119286) -- (-2.4242640687119286,1.4242640687119286) -- (-2.4242640687119286,1) -- (-2,1) -- cycle; 
\draw[line width=1.5pt] (-3,1.4242640687119286) -- (-3.4242640687119286,1.4242640687119286) -- (-3.4242640687119286,1) -- (-3,1) -- cycle; 
\draw[line width=1.5pt] (-7,3.5757359312880714) -- (-6.575735931288071,3.5757359312880714) -- (-6.575735931288071,4) -- (-7,4) -- cycle; 
\draw [line width=1.5pt,color=black] (-7,4)-- (-2,4);
\draw [line width=1.5pt,color=black] (-2,4)-- (-2,1);
\draw [line width=1.5pt,color=black] (-2,1)-- (-7,1);
\draw [line width=1.5pt,color=black] (-7,1)-- (-7,4);
\draw [line width=1.5pt] (-3,1)-- (-3,4);
\draw [<->,line width=1.5pt] (-6.75,4.5) -- (-2.25,4.5);
\draw [<->,line width=1.5pt] (-1.5,1.25) -- (-1.5,3.75);
\draw (-1.25,2.5) node[anchor=center, rotate=-90] {\Large{$2x-3$}};
\draw (-4.5,4.75) node[anchor=center] {\Large{$4x-7$}};
\draw[color=black] (-7.25,4.25) node {$A$};
\draw[color=black] (-1.75,4.25) node {$B$};
\draw[color=black] (-1.75,0.75) node {$C$};
\draw[color=black] (-7.25,0.75) node {$D$};
\draw[color=black] (-2.75,4.25) node {$E$};
\draw[color=black] (-2.75,0.75) node {$F$};
\end{tikzpicture}
\end{document}